Summary:	Library to access different kinds of (video) capture devices
Name:		unicap
Version:	0.2.19
Release:	3%{?dist}.fixup
License:	GPLv2+
Group:		System Environment/Libraries
URL:		http://www.unicap-imaging.org/
Source:		http://www.unicap-imaging.org/downloads/%{name}-%{version}.tar.gz
Patch:		unicap-0.2.19-libdir.patch
BuildRequires:	intltool, /usr/bin/perl, perl(XML::Parser), gettext
BuildRequires:	glib2-devel, gtk2-devel, pango-devel, libtheora-devel, libXv-devel
BuildRequires:	libpng-devel, libX11-devel, libICE-devel, libraw1394-devel >= 1.1.0
BuildRequires:	libogg-devel, libvorbis-devel, libXext-devel, alsa-lib-devel
BuildRequires:	automake, libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Unicap provides a uniform interface to video capture devices. It allows
applications to use any supported video capture device via a single API.
The included ucil library provides easy to use functions to render text
and graphic overlays onto video images.

%package devel
Summary:	Development files for the unicap library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}, pkgconfig

%description devel
The unicap-devel package includes header files and libraries necessary for
for developing programs which use the unicap, unicapgtk and ucil library. It
contains the API documentation of the library, too.

%prep
%setup -q
%patch -p1 -b .libdir
aclocal -I m4
autoconf
automake -a

%build
%configure --disable-rpath --enable-gtk-doc

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Don't install any static .a and libtool .la files
rm -f $RPM_BUILD_ROOT%{_libdir}/{,unicap2/cpi/}*.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/*.so.*
%dir %{_libdir}/unicap2
%dir %{_libdir}/unicap2/cpi
%{_libdir}/unicap2/cpi/*.so.*

%files devel
%defattr(-,root,root)
%doc examples
%{_libdir}/*.so
%{_libdir}/unicap2/cpi/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}
%{_datadir}/gtk-doc/html/*

%changelog
* Sat Feb 16 2008 Robert Scheck <robert@fedoraproject.org> 0.2.19-3
- Added patch to correct libdir paths (thanks to Ralf Corsepius)

* Mon Feb 04 2008 Robert Scheck <robert@fedoraproject.org> 0.2.19-2
- Changes to match with Fedora Packaging Guidelines (#431381)

* Mon Feb 04 2008 Robert Scheck <robert@fedoraproject.org> 0.2.19-1
- Upgrade to 0.2.19
- Initial spec file for Fedora and Red Hat Enterprise Linux
